comonad-5: Comonads

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Comonad.Trans.Class

Description

# Documentation

class ComonadTrans t where #

Minimal complete definition

lower

Methods

lower :: Comonad w => t w a -> w a #

Instances

ComonadTrans (IdentityT *) # |
Methods lower :: Comonad w => IdentityT * w a -> w a #
ComonadTrans (EnvT e) # |
Methods lower :: Comonad w => EnvT e w a -> w a #
ComonadTrans (StoreT s) # |
Methods lower :: Comonad w => StoreT s w a -> w a #
Monoid m => ComonadTrans (TracedT m) # |
Methods lower :: Comonad w => TracedT m w a -> w a #